Skip to main content

Remove favorite group channel members

Remove specified members from a user's favorites list in a group channel.

Request

POST: https://Base URL/v4/group-channel/member/favorites/remove

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesGroup channel ID.
userIdStringYesUser ID of the member whose favorites list you want to update.
favoriteIdsArrayYesArray of user IDs to remove from favorites. Maximum: 100 per request.

Request example

HTTP
POST /v4/group-channel/member/favorites/remove HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "456",
"userId": "123",
"favoriteIds": [
"u123",
"u456"
]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0
}